Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

Mong Các Bác Làm Hộ Em Cái Líp Lấy Text Từ Dim


  • Please log in to reply
14 replies to this topic

#1 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 23 June 2017 - 11:36 PM

Rất mong các bác giúp đỡ.

Làm cho em cái lip lấy text từ dimension có sẵn chỉ pích vào dimension là có thể lấy text ra, text mới được lấy ra tự động nhỏ hơn text của dimension là 3/4 lần.


  • 0

#2 cuongtk2

cuongtk2

    biết lệnh mirror

  • Members
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 24 June 2017 - 07:30 AM

;; lisp này hiện lên 3/4 giá trị text
(defun c:test1 ( / str str1)
  
  (setq str (vla-get-Measurement (vlax-ename->vla-object (car (entsel)))))
  (setq str1 (* str 0.75))
  
  (alert (strcat (rtos str) " * 0.75 = \n" (rtos str1)))
  )
;;;lisp này thay thế text = giá trị 3/4 text cũ
(defun c:test2 ( / ob str str1)
  
  (setq ob (vlax-ename->vla-object (car (entsel))))
  (setq str (vla-get-Measurement ob)
        str (* str 0.75)
str (rtos str 2 0)
  )
  (vla-put-TextOverride ob str)
  )
  • 0

#3 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 24 June 2017 - 08:45 AM

;; lisp này hiện lên 3/4 giá trị text
(defun c:test1 ( / str str1)
  
  (setq str (vla-get-Measurement (vlax-ename->vla-object (car (entsel)))))
  (setq str1 (* str 0.75))
  
  (alert (strcat (rtos str) " * 0.75 = \n" (rtos str1)))
  )
;;;lisp này thay thế text = giá trị 3/4 text cũ
(defun c:test2 ( / ob str str1)
  
  (setq ob (vlax-ename->vla-object (car (entsel))))
  (setq str (vla-get-Measurement ob)
        str (* str 0.75)
str (rtos str 2 0)
  )
  (vla-put-TextOverride ob str)
  )

cảm ơn bác nhiều ạ


  • 0

#4 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 24 June 2017 - 08:51 AM

cảm ơn bác nhiều ạ

Bác ơi bà hiểu sai ý em rồi tại em hay dùng text của dimension để viết trong bản vẽ text và dimension phải cùng kích thước phải không bác, nhưng mỗi lần thế em toàn phải xplose dimension ra rồi xóa nét dim để lại chữ nên rất bất tiện.

Nên em mong bác làm hộ em em cái lip lấy text từ dimension có sẵn chỉ pích vào dimension là có thể lấy text ra, text mới được lấy ra tự động nhỏ hơn text của dimension là 3/4 lần.

em cảm ơn bác trước ạ.


  • 0

#5 cuongtk2

cuongtk2

    biết lệnh mirror

  • Members
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 24 June 2017 - 09:47 AM

Lưu ý: diễn đạt nội dung câu hỏi một cách cặn kẽ nhất có thể; người trả lời sẽ dễ hình dung trình tự công việc bạn muốn làm.
(defun c:test ( / ob str p1 h style)
(setq ob (vlax-ename->vla-object (car (entsel))))
(setq str (vla-get-Measurement ob)
str (* str 0.75)
str (rtos str 2 0)
style (vla-get-TextStyle ob)
h (vla-get-TextHeight ob)
p1 (getpoint "\nDiem dat text:")
)
(entmake (list (cons 0 "text") (cons 10 p1) (cons 7 style) (cons 40 h) (cons 1 str)))
)
  • 0

#6 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 24 June 2017 - 10:24 AM

Lưu ý: diễn đạt nội dung câu hỏi một cách cặn kẽ nhất có thể; người trả lời sẽ dễ hình dung trình tự công việc bạn muốn làm.
(defun c:test ( / ob str p1 h style)
(setq ob (vlax-ename->vla-object (car (entsel))))
(setq str (vla-get-Measurement ob)
str (* str 0.75)
str (rtos str 2 0)
style (vla-get-TextStyle ob)
h (vla-get-TextHeight ob)
p1 (getpoint "\nDiem dat text:")
)
(entmake (list (cons 0 "text") (cons 10 p1) (cons 7 style) (cons 40 h) (cons 1 str)))
)

mong bác sửa giúp em lần này nữa ạ em có kèm fie minh họa ạhttp://www.cadviet.c...8_new_block.dwg

em cảm ơn bác trước ạ.mong bác giúp em ạ.


  • 0

#7 cuongtk2

cuongtk2

    biết lệnh mirror

  • Members
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 24 June 2017 - 10:51 AM

(defun c:test ( / ob str p1 h style)
(setq ob (vlax-ename->vla-object (car (entsel "\n Chon dim:"))))
(setq str (rtos (vla-get-Measurement ob) 2 0)
style (vla-get-TextStyle ob)
h (* (vla-get-TextHeight ob) (vla-get-ScaleFactor ob) 0.75)
p1 (getpoint "\nDiem dat text:"))
(entmake (list (cons 0 "text") (cons 10 p1) (cons 7 style) (cons 40 h) (cons 1 str)))
)


  • 1

#8 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 24 June 2017 - 10:57 AM

 

 

(defun c:test ( / ob str p1 h style)
(setq ob (vlax-ename->vla-object (car (entsel "\n Chon dim:"))))
(setq str (rtos (vla-get-Measurement ob) 2 0)
style (vla-get-TextStyle ob)
h (* (vla-get-TextHeight ob) (vla-get-ScaleFactor ob) 0.75)
p1 (getpoint "\nDiem dat text:"))
(entmake (list (cons 0 "text") (cons 10 p1) (cons 7 style) (cons 40 h) (cons 1 str)))
)

bác ơi sao không được a nó báo thế này ạ 

Command: TEST
 Chon dim:; error: no function definition: VLAX-ENAME->VLA-OBJECT

Bài viết đã được chỉnh sửa nội dung bởi ad.pham234: 24 June 2017 - 11:02 AM

  • -1

#9 cuongtk2

cuongtk2

    biết lệnh mirror

  • Members
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 24 June 2017 - 11:06 AM

Báo thế nào?


  • 0

#10 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 24 June 2017 - 11:08 AM

Báo thế nào?

Dạ điểm đặt text chạy không đúng theo vị trí mình pick a 


  • 0

#11 cuongtk2

cuongtk2

    biết lệnh mirror

  • Members
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 24 June 2017 - 11:12 AM

Cái đó do bạn dùng UCS ở chế độ người dùng rồi. Chọn UCS -World là được


  • 0

#12 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 24 June 2017 - 11:14 AM

Dạ điểm đặt text chạy không đúng theo vị trí mình pick a 


  • 0

#13 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 24 June 2017 - 11:17 AM

Cái đó do bạn dùng UCS ở chế độ người dùng rồi. Chọn UCS -World là được

dạ cảm ơn bác líp chạy rất tốt ạ .

cám ơn sự giúp đỡ rất nhiệt tình của bác ạ.chúc bác 1 ngày thứ 7 vui vẻ ạ


  • 0

#14 ad.pham234

ad.pham234

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 24 June 2017 - 11:25 AM

dạ cảm ơn bác líp chạy rất tốt ạ .

cám ơn sự giúp đỡ rất nhiệt tình của bác ạ.chúc bác 1 ngày thứ 7 vui vẻ

 

bác cho hỏi no báo thế này la bị làm sao ạ
Command: TU
 Chon dim:; error: ActiveX Server returned the error: unknown name: Measurement

  • 0

#15 cuongtk2

cuongtk2

    biết lệnh mirror

  • Members
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 24 June 2017 - 03:19 PM

Cam on ban


  • 0